.TH define 1
.SH NAME
define  \- define a word using the dict protocol
.SH SYNOPSIS
.B define
[
.B -lt
]
[
.B -d 
.I dictdb
]
[
.B -m
[
.B -s
.I strategy
]]
[
.B -w
.I where
]
.I word ...
.SH DESCRIPTION
.I define
Looks up the given
.I word(s)
in a dict (RFC 2229) database.
If no definitions were found, it performs
a match on the
.I word(s)
using the substring
.I strategy
.PP
.B -l
lists all databases available on the dict server.
.PP
.B -t
lists all matching strategies available on the dict server.
.PP
.B -m
does a match on the
.I word(s)
on the server. That is, print each database in which a match
were found.
.PP
.B -d
Search only in the given
.I dictdb
.PP
.B -s
When doing a 
.I match
use the given
.I strategy
for performing matches on the
.I word(s)
.PP
.B -w
Specify the dict server to contact. The default is tcp!dict.org!2628
.SH EXAMPLE
Give the definition in all databases for a word
.EX
define futile
.EE
.PP
Look for words using the
.B suffix
.I strategy.
.EX
define -m -s suffix way
.EE
(That is - look for all words that end in 
.B way
)

.SH SOURCE
.B http://asgaard.homelinux.org/plan9/define.tgz
.SH "SEE ALSO"
.IR RFC 2229
.SH BUGS
.IR RFC 2229

